import hashlib
import time
import datetime


date = datetime.datetime.now()

print(date)
print(date.strftime('%A, %d. %B %Y %I:%M%p'))
print(time.time())
print(str(int(time.time())))
a = '{0:010x}'.format(int(time.time() * 256))
print(a)

hash = hashlib.sha1()
a = str(time.time())
print(time.ctime(time.time()))
print('---')

print(a)
hash.update(a.encode())
print (hash.hexdigest())
print (hash.hexdigest()[:10])